### Constructor

# Gtk StringListnew

#### Declaration [src]

    GtkStringList*
    gtk_string_list_new (
      const char* const* strings
    )

#### Description [src]

Creates a new `GtkStringList` with the given `strings`.

#### Parameters

`strings`

  Type: An array of `char*`

  The strings to put in the model.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkStringList`

A new `GtkStringList`

The caller of the function takes ownership of the data, and is responsible for freeing it.